plugins:
  - jekyll-feed
  - jekyll-seo-tag

# SEO information
logo: /assets/img/logo.png
title: Moxxy
url: "https://moxxy.org"
tagline: A modern XMPP client
locale: en_GB

permalink: /posts/:year-:month-:day-:title:output_ext

# Links that can be used everywhere
sourceUrl: https://codeberg.org/moxxy/moxxy
githubMirrorUrl: https://github.com/PapaTutuWawa/moxxy
developerMuc: xmpp:moxxy@muc.moxxy.org?join

index:
  heroText: An experimental and modern XMPP client
  mainScreenshotUrl: /assets/img/screenshots/1.png

  screenshots:
    - /assets/img/screenshots/1.png
    - /assets/img/screenshots/2.png
  
  badges:
    codeberg:
      url: https://codeberg.org/moxxy/moxxy/releases/latest
    izzy:
      url: https://apt.izzysoft.de/fdroid/index/apk/org.moxxy.moxxyv2

  features:
    - End-to-End encryption using OMEMO
    - Stickers
    - Reactions
    - Retract messages
    - Voice messages
    - Swipe-to-quote
    - Chat background images
    - Optional privacy-preserving integration with phone contacts
    - Open-Source

developers:
  libraries:
    - name: moxxmpp
      desc: XMPP library written in Dart
      specific: false
      url: https://codeberg.org/moxxy/moxxmpp
    - name: moxdns
      desc: DNS SRV resolver for Flutter
      specific: true
      url: https://codeberg.org/moxxy/moxdns
    - name: moxlib
      desc: Shared functions for Moxxy-specific projects
      specific: true
      url: https://codeberg.org/moxxy/moxlib
    - name: moxplatform
      desc: Platform-specific code
      specific: true
      url: https://codeberg.org/moxxy/moxplatform
    - name: omemo_dart
      desc: Implementation of the cryptography for OMEMO 0.8.3 with a high-level interface
      specific: false
      url: https://codeberg.org/PapaTutuWawa/omemo_dart

  customXeps:
    - name: Extensible File Thumbnails
      desc: Provide an extensible way of specifying thumbnails that are neccessarily binary data
      url: https://codeberg.org/moxxy/custom-xeps/src/branch/master/xep-xxxx-extensible-file-thumbnails.md
    - name: File Upload Notification
      desc: Allow communicating that an OOB file upload is currently running to improve the consistency of the conversation
      url: https://codeberg.org/moxxy/custom-xeps/src/branch/master/xep-xxxx-file-upload-notification.md
